local NoCombatText = CreateFrame('frame', 'NoCombatText')

nocombattextvars = { saved = false, default = { player = true, pet = true, }, opt = { player, pet, }, }
nocombattextsavedvars = {}

function NoCombatText:ADDON_LOADED(addon)
	if addon == 'NoCombatText' then
		if nocombattextsavedvars.saved then
			nocombattextvars.opt = nocombattextsavedvars
		else
			nocombattextvars.opt = nocombattextvars.default
			nocombattextsavedvars = nocombattextvars.opt
		end
		if nocombattextvars.opt.player == true then PlayerFrame:UnregisterEvent('UNIT_COMBAT') end
		if nocombattextvars.opt.pet == true then PetFrame:UnregisterEvent('UNIT_COMBAT') end
	end
end

function NoCombatText:PLAYER_LOGOUT()
	nocombattextsavedvars = nocombattextvars.opt
	nocombattextsavedvars.saved = true
end

NoCombatText:RegisterEvent('ADDON_LOADED')
NoCombatText:RegisterEvent('PLAYER_LOGOUT')
NoCombatText:SetScript('OnEvent', function(self, event, ...) self[event](self, ...) end)

function NoCombatText:Print(message)
	local channel = 'CHAT_MSG_SYSTEM'
 	for i=1, NUM_CHAT_WINDOWS do
		local chatframe = _G['ChatFrame'..i]
		if chatframe:IsEventRegistered(channel) then
			chatframe:AddMessage("|cffffff00NoCombatText: "..string.lower(message).."")
		end
	end
end

SLASH_PLAYERCOMBATTEXT1, SLASH_PLAYERCOMBATTEXT2 = '/playercombattext', '/playerct'
function SlashCmdList:PLAYERCOMBATTEXT()
	if nocombattextvars.opt.player == true then
		PlayerFrame:RegisterUnitEvent('UNIT_COMBAT', 'player', 'vehicle')
		nocombattextvars.opt.player = false
		NoCombatText:Print(PLAYER.." "..COMBAT.." "..EVENTS_LABEL.." |cffff0000"..VIDEO_OPTIONS_ENABLED)
	else
		PlayerFrame:UnregisterEvent('UNIT_COMBAT')
		nocombattextvars.opt.player = true
		NoCombatText:Print(PLAYER.." "..COMBAT.." "..EVENTS_LABEL.." |cff00ff00"..VIDEO_OPTIONS_DISABLED)
	end
end

SLASH_PETCOMBATTEXT1, SLASH_PETCOMBATTEXT2 = '/petcombattext', '/petct'
function SlashCmdList:PETCOMBATTEXT()
	if nocombattextvars.opt.pet == true then
		PetFrame:RegisterUnitEvent('UNIT_COMBAT', 'pet', 'player')
		nocombattextvars.opt.pet = false
		NoCombatText:Print(PET.." "..COMBAT.." "..EVENTS_LABEL.." |cffff0000"..VIDEO_OPTIONS_ENABLED)
	else
		PetFrame:UnregisterEvent('UNIT_COMBAT')
		nocombattextvars.opt.pet = true
		NoCombatText:Print(PET.." "..COMBAT.." "..EVENTS_LABEL.." |cff00ff00"..VIDEO_OPTIONS_DISABLED)
	end
end